Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 437330 - x11-misc/pmount-gui - A simple graphical frontend for pmount
Summary: x11-misc/pmount-gui - A simple graphical frontend for pmount
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2012-10-05 17:31 UTC by Dominique Michel
Modified: 2013-08-06 14:13 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pmount-gui-20121005.ebuild (pmount-gui-20121005.ebuild,623 bytes, text/plain)
2012-10-05 17:32 UTC, Dominique Michel
Details
pmount-gui-9999.ebuild (pmount-gui-9999.ebuild,661 bytes, text/plain)
2012-10-05 17:33 UTC, Dominique Michel
Details
20121005 pmount-gui tarball (pmount-gui-20121005.tar.bz2,4.26 KB, application/octet-stream)
2012-10-05 17:35 UTC, Dominique Michel
Details
x11-misc/pmount-gui-9999.ebuild (pmount-gui-9999.ebuild,707 bytes, text/plain)
2012-10-05 19:08 UTC, Sergey Popov
Details
x11-misc/pmount-gui-9999.ebuild (pmount-gui-9999.ebuild,674 bytes, text/plain)
2012-10-06 09:25 UTC, Sergey Popov
Details
ebuild for a tarball from today (20121118) (pmount-gui-1.20121118.ebuild,727 bytes, text/plain)
2012-11-18 12:09 UTC, Dominique Michel
Details
ebuild that depend on virtual/udev (pmount-gui-1.20121118.ebuild,732 bytes, text/plain)
2013-05-19 10:09 UTC, Dominique Michel
Details
live ebuild that depend on virtual/udev (pmount-gui-9999.ebuild,680 bytes, text/plain)
2013-05-19 10:10 UTC, Dominique Michel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Michel 2012-10-05 17:31:21 UTC
pmount-gui is a simple graphical frontend for pmount

http://git.tdb.fi/?p=pmount-gui.git;a=summary

It is no ebuild in gentoo for that small and nice program.
The source code is only abaible as a git repo, so I made 2 ebuilds, a live one, and the second one with a custom made tarball from today.

Reproducible: Always
Comment 1 Dominique Michel 2012-10-05 17:32:34 UTC
Created attachment 325732 [details]
pmount-gui-20121005.ebuild
Comment 2 Dominique Michel 2012-10-05 17:33:57 UTC
Created attachment 325734 [details]
pmount-gui-9999.ebuild
Comment 3 Dominique Michel 2012-10-05 17:35:40 UTC
Created attachment 325736 [details]
20121005 pmount-gui tarball
Comment 4 Sergey Popov gentoo-dev 2012-10-05 19:08:59 UTC
Created attachment 325750 [details]
x11-misc/pmount-gui-9999.ebuild

Improved live ebuild for pmount-gui
Comment 5 Sergey Popov gentoo-dev 2012-10-05 19:16:31 UTC
Note: i can not see my flash disk while running pmount-gui, just message: 'No devices to mount'
Comment 6 Dominique Michel 2012-10-06 08:36:41 UTC
pmount-gui and pmount want to mount stuffs in /media. In consequence and if your flash disk is configured in /etc/fstab to be somewhere else, pmount-gui will ignore it. If not, or if the problem persist after commenting out your flash disk in fstab, the best you can do is to contact the author directly.

It is possible to trick pmount in /etc/pmount.allow with something like

/mnt/media

if /mnt/media is configured in /etc/fstab, but this doesn't work with pmount-gui. Maybe a future improvment for this program.
Comment 7 Sergey Popov gentoo-dev 2012-10-06 09:25:19 UTC
Created attachment 325776 [details]
x11-misc/pmount-gui-9999.ebuild

Fixed live ebuild
Comment 8 Dominique Michel 2012-10-06 10:22:20 UTC
GIT have just been updated. pmount-gui support now both usb and firewire devices.
Comment 9 Dominique Michel 2012-11-18 12:09:02 UTC
Created attachment 329818 [details]
ebuild for a tarball from today (20121118)

This ebuild will download the tarball.
Comment 10 Dominique Michel 2012-11-18 12:10:48 UTC
repoman complain about an invalid license. I guess a new license file will be needed. It is in the tarball.
Comment 11 Dustin C. Hatch 2013-01-15 18:45:47 UTC
Please change DEPEND to virtual/udev from sys-fs/udev; this package works fine with eudev.
Comment 12 Dominique Michel 2013-05-19 10:09:46 UTC
Created attachment 348640 [details]
ebuild that depend on virtual/udev
Comment 13 Dominique Michel 2013-05-19 10:10:47 UTC
Created attachment 348642 [details]
live ebuild that depend on virtual/udev
Comment 14 Samuli Suominen gentoo-dev 2013-08-06 14:13:11 UTC
In portage.

+*pmount-gui-0_pre20130806 (06 Aug 2013)
+
+  06 Aug 2013; Samuli Suominen <ssuominen@gentoo.org>
+  +pmount-gui-0_pre20130806.ebuild:
+  Initial commit wrt #437330 by Dominique Michel

The ebuild is in a format that you can 'cp pmount-gui-0_pre20130806.ebuild pmount-gui-9999.ebuild' and digest it, and it will work as a live ebuild.
However I dislike -9999 ebuilds in Portage itself.